import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
public class secP1 extends JPanel implements ActionListener 
{private static final long serialVersionUID =5767895L;
public double en,boy;
public pencere pen;
int penceretipi;
int penceresayisi=0;
double x; //cam kalınlığı
double U; //toplam ısı transfer katsayısı
double A; //alan
double UA;//alan*U
String penceretipiS[]={"0 tek camlı pencere","1 çift camlı pencere (kaplamasız cam)","2 çift camlı pencere (low-e kaplamalı)"};
String dogramatipiS[]={"0 doğramasız",
"1 ahşap doğrama (meşe, dişbudak/sert ağaçlar)",
"2 ahşap doğrama (iğne yapraklı yumuşak ağaçlar)",
"3 plastik doğrama (2 odacıklı)",
"4 plastik doğrama (3 odacıklı)",
"5 aliminyum doğrama",
"6 aliminyum doğrama (yalıtım köprülü)"};
int dogramatipi;
String duvartipi[]={"duvar1","duvar2","duvar3","duvar4","Tavan","Döşeme"};
String isimS[]={"pencere1_1","pencere1_2","pencere1_3","pencere2_1","pencere2_2","pencere2_3","pencere3_1","pencere3_2","pencere3_3","pencere2_3","pencere4_1","pencere4_2","pencere4_3","pencere2_3","pencere5_1","pencere5_2","pencere5_3","pencere2_3","pencere6_1","pencere6_2","pencere6_3"};
String isim;
String isareti[]={"TP","ÇCP","ÇCLE"};
String isaret;
JComboBox<String> jcb1,jcb2;
JLabel jl1,jl2,jl3,jl4,jl5;
JTextField cam,ten,tboy;
JPanel lb1,lb2,lb3;
JTextArea jta;
// 
// 
//Doğrama tipi
// 0 doğramasız
// 1 ahşap doğrama (meşe, dişbudak/sert ağaçlar)
// 2 ahşap doğrama (iğne yapraklı yumuşak ağaçlar)
// 3 plastik doğrama (2 odacıklı)
// 4 plastik doğrama (3 odacıklı)
// 5 aliminyum doğrama
// 6 aliminyum doğrama (yalıtım köprülü) 

public boolean secim;
JButton secb;
public secP1(String isimi,double eni,double boyi)
{ secb=new JButton("secim tamamlandığında basınız");
  secb.addActionListener(this);
  en=eni;
  boy=boyi;
  isim=isimi;
  secim=false;
  isaret=isareti[0];
  jcb1=new JComboBox<String>(penceretipiS);
  jcb2=new JComboBox<String>(dogramatipiS);
  jl1=new JLabel("pencere tipi");
  jl2=new JLabel("Doğrama tipi");
  jl3=new JLabel("camlar arası mesafe (1..16) mm");  
  jl4=new JLabel("       en");
  jl5=new JLabel("      boy");
  ten=new JTextField(""+en);
  tboy=new JTextField(""+boy);
  x=1.0;
  dogramatipi=0;
  pen=new pencere(isaret,dogramatipi,x);
  cam=new JTextField(" 1");
  lb1=new JPanel();
  lb1.setLayout(new GridLayout(2,3));
  lb1.add(jl1);
  lb1.add(jl2);
  lb1.add(jl3);
  lb1.add(jcb1);
  lb1.add(jcb2);
  lb1.add(cam);
  jcb1.addActionListener(this);
  jcb2.addActionListener(this);
  cam.addActionListener(this);
  lb2=new JPanel();
  lb2.setLayout(new GridLayout(2,2));
  lb2.add(jl4);
  lb2.add(jl5);
  lb2.add(ten);
  lb2.add(tboy);
  ten.addActionListener(this);
  tboy.addActionListener(this);
  lb3=new JPanel();
  lb3.setLayout(new BorderLayout());
  lb3.add(lb1,BorderLayout.NORTH);
  lb3.add(lb2,BorderLayout.CENTER);
  jta=new JTextArea(toString());
  lb3.add(jta,BorderLayout.SOUTH);
  add(lb3,BorderLayout.NORTH); 
  add(secb,BorderLayout.SOUTH); 
} 

public void setEnBoy(double eni,double boyi)
{ en=eni;
  boy=boyi;
  if(en==0||boy==0) secim=false;
  else secim=true;
}
    public void actionPerformed(ActionEvent e) 
    {   if(e.getSource()==jcb1)
        { penceretipi=jcb1.getSelectedIndex(); 
          isaret=isareti[penceretipi];
        }
        else if(e.getSource()==secb)
        {   if(en==0||boy==0) secim=false;
	        else secim=true;
          //setText(toString());
        validate();
        repaint();  
        }
        else if(e.getSource()==jcb2)
        { dogramatipi=jcb2.getSelectedIndex();}
        else if(e.getSource()==ten)
        {en=Double.parseDouble(ten.getText());
          if(en==0||boy==0) secim=false;
          else secim=true;
         ten.setText(""+en);
        }
        else if(e.getSource()==tboy)
        {boy=Double.parseDouble(tboy.getText());
          if(en==0||boy==0) secim=false;
          else secim=true;
          tboy.setText(""+boy);
        }
        else if(e.getSource()==cam)
        {x=Double.parseDouble(cam.getText());} 
        pen=new pencere(isaret,dogramatipi,x); 
        U=pen.U;
        A=en*boy;
        UA=A*U;
        jta.setText(toString());
        validate();
        repaint();       
    }    
public String toString()
{
String s="isim = "+isim+"\n";
s+="işaret = "+isaret+"\n";
s+="pencere tipi = "+penceretipiS[penceretipi]+"\n";
s+="doğrama tipi = "+dogramatipiS[dogramatipi]+"\n";
s+="en     = "+en+"\n";
s+="boy    = "+boy+"\n";
s+="U      = "+U+"W/m2K\n";
s+="A      = "+A+"m2\n";
s+="seçim  ="+secim+"\n";
return s;
}

}